Subject: Re: suggestions for gitweb

From: Michael Niedermayer <[email-masked]>
Date: Mon, 14 May 2007 19:37:15 +0200

Hi

On Mon, May 14, 2007 at 06:49:35PM +0200, Jakub Narebski wrote:
[...]
> I think it would be nice to have --blame option to git-ls-tree 
> (optionally copuled with --porcelain and perhaps --incremental, like
> in git-blame), which would return blame information for tree entries.
> It means that for each tree entry return commit closest to given commit
> (or furthest from a given commit) which has changed entry to current
> version. It should be much easier and faster than to do "blob"-blame.
> 
> The --porcelain would also return 'last changed' info, like committer
> info for a commit-which-changed.
> 
> But is this info actually interesting, or is it there in ViewVC because
> it is easy to get this info in CVS and Subversion? The "last changed"
> info for tree entries encourages to think of a history as a collection
> of per file histories... while git is all about whole project history.
> Note that history of two files is *more* than concatenation of
> histories of those individual files. See entries on GitFaq wiki page:

well, i do think that the age can be interesting, consider the 2
hypothetical cases:
'release_notes.txt 5 years ago' while all other files have been recently
changed
clearly says: noone cares about this file or there was no release in 
the last 5 years

also for example
'vo_x11.c    2 days ago  michael     update all vos to use correct foobar'
'vo_mga.c    8 weeks ago diego       spelling fixes'
would immedeatly hint that ive forgotten vo_mga.c ...

[...]
-- 
Michael     GnuPG fingerprint: 9FF2128B147EF6730BADF133611EC787040B0FAB

Let us carefully observe those good qualities wherein our enemies excel us
and endeavor to excel them, by avoiding what is faulty, and imitating what
is excellent in them. -- Plutarch